package com.zjrs.ggfw.rlzysc.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName(value = "v_RS_RLZY_JLXX")
public class JlxxPO {
    @TableId(value = "RS_RLZY_JLXX_LSH", type = IdType.ASSIGN_UUID)
    private String rsrlzyjlxxlsh;//简历信息流水号
    @TableField("RS_YHLSH")
    private String rsyhlsh;//用户流水号
    @TableField("JLMC")
    private String jlmc;//简历名称
    @TableField("XM")
    private String xm;//姓名
    @TableField("TS_QZLX")
    private String tsqzlx;//求职类型
    @TableField("TS_BYFL")
    private String tsbyfl;//毕业分类
    @TableField("NL")
    private String nl;//年龄
    @TableField("CJGZSJ")
    private String cjgzsj;//参加工作时间
    @TableField("TS_XL")
    private String tsxl;//最高学历
    @TableField("TS_ZZMM")
    private String tszzmm;//政治面貌
    @TableField("TS_HYZK")
    private String tshyzk;//婚姻状况
    @TableField("YX")
    private String yx;//邮箱
    @TableField("SJHM")
    private String sjhm;//手机号码
    @TableField("SG")
    private String sg;//身高(cm)
    @TableField("TZ")
    private String tz;//体重(kg)
    @TableField("SLZ")
    private String slz;//视力(左)
    @TableField("SLY")
    private String sly;//视力(右)
    @TableField("JZDJ")
    private String jzdj;//驾照等级
    @TableField("JZQDSJ")
    private String jzqdsj;//驾照取得时间
    @TableField("XX")
    private String xx;//血型
    @TableField("YZBM")
    private String yzbm;//邮政编码
    @TableField("QQ")
    private String qq;//qq号码
    @TableField("GDDH")
    private String gddh;//固定电话
    @TableField("AHTC")
    private String ahtc;//爱好特长
    @TableField("SFJSZPTJ")
    private String sfjszptj;//是否接受招聘推荐
    @TableField("XJZD")
    private String xjzd;//现居住地
    @TableField("TX_TYCC_LSH")
    private String txtycclsh;//头像统一存储流水号
    @TableField("SP_TYCC_LSH")
    private String sptycclsh;//视频统一存储流水号
    @TableField("SHJG")
    private String shjg;//审核结果
    @TableField("SHYJ")
    private String shyj;//审核意见
    @TableField("JLSHR")
    private String jlshr;//审核人
    @TableField("SHSJ")
    private String shsj;//审核时间
    @TableField("TXSHJG")
    private String txshjg;//头像审核结果
    @TableField("SPSHJG")
    private String spshjg;//视频审核结果
    @TableField("TXSHYJ")
    private String txshyj;//头像审核意见
    @TableField("SPSHYJ")
    private String spshyj;//视频审核意见
    @TableField("TXSHR")
    private String txshr;//头像审核人
    @TableField("TXSHSJ")
    private String txshsj;//头像审核时间
    @TableField("SPSHR")
    private String spshr;//视频审核人
    @TableField("SPSHSJ")
    private String spshsj;//视频审核时间
    @TableField("TS_YXBZ")
    private String tsyxbz;//是否有效
    @TableField("RS_RG_JBXX_JLZT")
    private String rsrgjbxxjlzt;//简历状态
    @TableField("TS_CJR")
    private String tscjr;//创建人
    @TableField("TS_CJSJ")
    private String tscjsj;//创建时间
    @TableField("TS_XGR")
    private String tsxgr;//修改人
    @TableField("TS_XGSJ")
    private String tsxgsj;//修改时间
    @TableField("SFMRJL")
    private String sfmrjl;//是否默认简历
    @TableField("FBZT")
    private String fbzt;//发布状态 0为未发布
    @TableField("SFTJNWSH")
    private String sftjnwsh;//是否提交内网审核 0为未提交
    private String gkcd;//公开程度
    @TableField("TS_RYLB")
    private String tsrylb;
    @TableField("JL_TYCC_LSH")
    private String jltycclsh;
    @TableField("JL_TYCC_MC")
    private String jltyccmc;
    @TableField("XJZDXZQH")//现居住地行政区划
    private String xjzdxzqh;
    @TableField("GZNX")//工作年限
    private String gznx;
    @TableField("ZYXX")
    private String zyxx;
    @TableField("SFJDJL")
    private String sfjdjl;


    public String getXjzdxzqh() {
        return xjzdxzqh;
    }

    public void setXjzdxzqh(String xjzdxzqh) {
        this.xjzdxzqh = xjzdxzqh;
    }

    public String getGkcd() {
        return gkcd;
    }

    public void setGkcd(String gkcd) {
        this.gkcd = gkcd;
    }

    //简历word导出使用
//    @TableField(exist = false)
//    private String aac003;//姓名
    @TableField(exist = false)
    private String aac058name;//证件类型
//    @TableField(exist = false)
//    private String aac147;//身份证号码
    @TableField(exist = false)
    private String aac004name;//性别
//    @TableField(exist = false)
//    private String aac006;//出生日期
    @TableField(exist = false)
    private String aac005name;//民族
    @TableField(exist = false)
    private String aac009name;//户籍
    @TableField(exist = false)
    private String aac300name;//户口所在地
    @TableField(exist = false)
    private String tsxlname;//最高学历
    @TableField(exist = false)
    private String tszzmmname;//政治面貌
    @TableField(exist = false)
    private String tshyzkname;//婚姻状况


    //回写基本信息管理
    private String aac003;//姓名
    private String aac006;//出生日期
    private String aac058;//证件类型
    private String aac147;//证件号码
    private String aac004;//性别
    private String aac005;//民族
    private String aac009;//户口性质
    private String aac300;//户口所在地行政区划代码
//    private String aac161;//国家/地区代码


    public String getSfjdjl() {
        return sfjdjl;
    }

    public void setSfjdjl(String sfjdjl) {
        this.sfjdjl = sfjdjl;
    }

    public String getAac058() {
        return aac058;
    }

    public void setAac058(String aac058) {
        this.aac058 = aac058;
    }

    public String getAac004() {
        return aac004;
    }

    public void setAac004(String aac004) {
        this.aac004 = aac004;
    }

    public String getAac005() {
        return aac005;
    }

    public void setAac005(String aac005) {
        this.aac005 = aac005;
    }

    public String getAac009() {
        return aac009;
    }

    public void setAac009(String aac009) {
        this.aac009 = aac009;
    }

    public String getAac300() {
        return aac300;
    }

    public void setAac300(String aac300) {
        this.aac300 = aac300;
    }

    public String getTsxlname() {
        return tsxlname;
    }

    public void setTsxlname(String tsxlname) {
        this.tsxlname = tsxlname;
    }

    public String getTszzmmname() {
        return tszzmmname;
    }

    public void setTszzmmname(String tszzmmname) {
        this.tszzmmname = tszzmmname;
    }

    public String getTshyzkname() {
        return tshyzkname;
    }

    public void setTshyzkname(String tshyzkname) {
        this.tshyzkname = tshyzkname;
    }

    public String getAac003() {
        return aac003;
    }

    public void setAac003(String aac003) {
        this.aac003 = aac003;
    }

    public String getAac058name() {
        return aac058name;
    }

    public void setAac058name(String aac058name) {
        this.aac058name = aac058name;
    }

    public String getAac147() {
        return aac147;
    }

    public void setAac147(String aac147) {
        this.aac147 = aac147;
    }

    public String getAac004name() {
        return aac004name;
    }

    public void setAac004name(String aac004name) {
        this.aac004name = aac004name;
    }

    public String getAac006() {
        return aac006;
    }

    public void setAac006(String aac006) {
        this.aac006 = aac006;
    }

    public String getAac005name() {
        return aac005name;
    }

    public void setAac005name(String aac005name) {
        this.aac005name = aac005name;
    }

    public String getAac009name() {
        return aac009name;
    }

    public void setAac009name(String aac009name) {
        this.aac009name = aac009name;
    }

    public String getAac300name() {
        return aac300name;
    }

    public void setAac300name(String aac300name) {
        this.aac300name = aac300name;
    }

    //数据库表数据
    public String getRsrlzyjlxxlsh() {
        return rsrlzyjlxxlsh;
    }

    public void setRsrlzyjlxxlsh(String rsrlzyjlxxlsh) {
        this.rsrlzyjlxxlsh = rsrlzyjlxxlsh;
    }

    public String getRsyhlsh() {
        return rsyhlsh;
    }

    public void setRsyhlsh(String rsyhlsh) {
        this.rsyhlsh = rsyhlsh;
    }

    public String getJlmc() {
        return jlmc;
    }

    public void setJlmc(String jlmc) {
        this.jlmc = jlmc;
    }

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getTsqzlx() {
        return tsqzlx;
    }

    public void setTsqzlx(String tsqzlx) {
        this.tsqzlx = tsqzlx;
    }

    public String getTsbyfl() {
        return tsbyfl;
    }

    public void setTsbyfl(String tsbyfl) {
        this.tsbyfl = tsbyfl;
    }

    public String getNl() {
        return nl;
    }

    public void setNl(String nl) {
        this.nl = nl;
    }

    public String getCjgzsj() {
        return cjgzsj;
    }

    public void setCjgzsj(String cjgzsj) {
        this.cjgzsj = cjgzsj;
    }

    public String getTsxl() {
        return tsxl;
    }

    public void setTsxl(String tsxl) {
        this.tsxl = tsxl;
    }

    public String getTszzmm() {
        return tszzmm;
    }

    public void setTszzmm(String tszzmm) {
        this.tszzmm = tszzmm;
    }

    public String getTshyzk() {
        return tshyzk;
    }

    public void setTshyzk(String tshyzk) {
        this.tshyzk = tshyzk;
    }

    public String getYx() {
        return yx;
    }

    public void setYx(String yx) {
        this.yx = yx;
    }

    public String getSjhm() {
        return sjhm;
    }

    public void setSjhm(String sjhm) {
        this.sjhm = sjhm;
    }

    public String getSg() {
        return sg;
    }

    public void setSg(String sg) {
        this.sg = sg;
    }

    public String getTz() {
        return tz;
    }

    public void setTz(String tz) {
        this.tz = tz;
    }

    public String getSlz() {
        return slz;
    }

    public void setSlz(String slz) {
        this.slz = slz;
    }

    public String getSly() {
        return sly;
    }

    public void setSly(String sly) {
        this.sly = sly;
    }

    public String getJzdj() {
        return jzdj;
    }

    public void setJzdj(String jzdj) {
        this.jzdj = jzdj;
    }

    public String getJzqdsj() {
        return jzqdsj;
    }

    public void setJzqdsj(String jzqdsj) {
        this.jzqdsj = jzqdsj;
    }

    public String getXx() {
        return xx;
    }

    public void setXx(String xx) {
        this.xx = xx;
    }

    public String getYzbm() {
        return yzbm;
    }

    public void setYzbm(String yzbm) {
        this.yzbm = yzbm;
    }

    public String getQq() {
        return qq;
    }

    public void setQq(String qq) {
        this.qq = qq;
    }

    public String getGddh() {
        return gddh;
    }

    public void setGddh(String gddh) {
        this.gddh = gddh;
    }

    public String getAhtc() {
        return ahtc;
    }

    public void setAhtc(String ahtc) {
        this.ahtc = ahtc;
    }

    public String getSfjszptj() {
        return sfjszptj;
    }

    public void setSfjszptj(String sfjszptj) {
        this.sfjszptj = sfjszptj;
    }

    public String getXjzd() {
        return xjzd;
    }

    public void setXjzd(String xjzd) {
        this.xjzd = xjzd;
    }

    public String getTxtycclsh() {
        return txtycclsh;
    }

    public void setTxtycclsh(String txtycclsh) {
        this.txtycclsh = txtycclsh;
    }

    public String getSptycclsh() {
        return sptycclsh;
    }

    public void setSptycclsh(String sptycclsh) {
        this.sptycclsh = sptycclsh;
    }

    public String getShjg() {
        return shjg;
    }

    public void setShjg(String shjg) {
        this.shjg = shjg;
    }

    public String getShyj() {
        return shyj;
    }

    public void setShyj(String shyj) {
        this.shyj = shyj;
    }

    public String getJlshr() {
        return jlshr;
    }

    public void setJlshr(String jlshr) {
        this.jlshr = jlshr;
    }

    public String getShsj() {
        return shsj;
    }

    public void setShsj(String shsj) {
        this.shsj = shsj;
    }

    public String getTxshjg() {
        return txshjg;
    }

    public void setTxshjg(String txshjg) {
        this.txshjg = txshjg;
    }

    public String getSpshjg() {
        return spshjg;
    }

    public void setSpshjg(String spshjg) {
        this.spshjg = spshjg;
    }

    public String getTxshyj() {
        return txshyj;
    }

    public void setTxshyj(String txshyj) {
        this.txshyj = txshyj;
    }

    public String getSpshyj() {
        return spshyj;
    }

    public void setSpshyj(String spshyj) {
        this.spshyj = spshyj;
    }

    public String getTxshr() {
        return txshr;
    }

    public void setTxshr(String txshr) {
        this.txshr = txshr;
    }

    public String getTxshsj() {
        return txshsj;
    }

    public void setTxshsj(String txshsj) {
        this.txshsj = txshsj;
    }

    public String getSpshr() {
        return spshr;
    }

    public void setSpshr(String spshr) {
        this.spshr = spshr;
    }

    public String getSpshsj() {
        return spshsj;
    }

    public void setSpshsj(String spshsj) {
        this.spshsj = spshsj;
    }

    public String getTsyxbz() {
        return tsyxbz;
    }

    public void setTsyxbz(String tsyxbz) {
        this.tsyxbz = tsyxbz;
    }

    public String getRsrgjbxxjlzt() {
        return rsrgjbxxjlzt;
    }

    public void setRsrgjbxxjlzt(String rsrgjbxxjlzt) {
        this.rsrgjbxxjlzt = rsrgjbxxjlzt;
    }

    public String getTscjr() {
        return tscjr;
    }

    public void setTscjr(String tscjr) {
        this.tscjr = tscjr;
    }

    public String getTscjsj() {
        return tscjsj;
    }

    public void setTscjsj(String tscjsj) {
        this.tscjsj = tscjsj;
    }

    public String getTsxgr() {
        return tsxgr;
    }

    public void setTsxgr(String tsxgr) {
        this.tsxgr = tsxgr;
    }

    public String getTsxgsj() {
        return tsxgsj;
    }

    public void setTsxgsj(String tsxgsj) {
        this.tsxgsj = tsxgsj;
    }

    public String getSfmrjl() {
        return sfmrjl;
    }

    public void setSfmrjl(String sfmrjl) {
        this.sfmrjl = sfmrjl;
    }

    public String getFbzt() {
        return fbzt;
    }

    public void setFbzt(String fbzt) {
        this.fbzt = fbzt;
    }

    public String getSftjnwsh() {
        return sftjnwsh;
    }

    public void setSftjnwsh(String sftjnwsh) {
        this.sftjnwsh = sftjnwsh;
    }

    public String getTsrylb() {
        return tsrylb;
    }

    public void setTsrylb(String tsrylb) {
        this.tsrylb = tsrylb;
    }

    public String getJltycclsh() {
        return jltycclsh;
    }

    public void setJltycclsh(String jltycclsh) {
        this.jltycclsh = jltycclsh;
    }

    public String getJltyccmc() {
        return jltyccmc;
    }

    public void setJltyccmc(String jltyccmc) {
        this.jltyccmc = jltyccmc;
    }

    public String getGznx() {
        return gznx;
    }

    public void setGznx(String gznx) {
        this.gznx = gznx;
    }

    public String getZyxx() {
        return zyxx;
    }

    public void setZyxx(String zyxx) {
        this.zyxx = zyxx;
    }

    @Override
    public String toString() {
        return "JlxxPO{" +
                "rsrlzyjlxxlsh='" + rsrlzyjlxxlsh + '\'' +
                ", rsyhlsh='" + rsyhlsh + '\'' +
                ", fbzt='" + fbzt + '\'' +

                '}';
    }
}


